Download 4.0.7 Release
July 11, 2014

IBM Rational Requirements Composer

Definition Management Analysis

Rational Requirements Composer 3.0.1.6 interim fix 8

Product Release / Trial | September 30, 2016

Upgrading to Rational Requirements Composer 3.0.1.6 interim fix 8

If you are upgrading from a version 3 release, see the Upgrade Reference for CLM 2011 in the Jazz.net library and the instructions on upgrading to CLM 3.0.1 in the documentation. These instructions work for all version 2 to 3.0.1.6 upgrades.

If you plan to upgrade from a version 3 release to a version 4 release, upgrading to version 4.0.7 provides the most stable results.

The upgrade process from version 3.0 or later to 3.0.1.6 interim fix 8 includes a full installation and then an additional procedure to extract configuration information from the version 3.0 or later installation files. The extraction process does not alter the version 3 installation. For more information about the upgrade process, see Upgrading to version 3.0.1 fix pack releases.

Important: The rm_upgrade script indicates that you must run the RM Online Migration wizard; however, this information is incorrect. If you run the RM Online Migration wizard, the migration fails, but you can ignore the failure and proceed.

Important: If you are upgrading from a release other than 3.0.1.6 and are using Oracle or SQL Server, you must reset the ORACLE_JDBC_DRIVER_FILE environment variable or the SQLSERVER_JDBC_DRIVER_FILE environment variable to point to a JDBC JAR file that is compatible with JRE 1.6.

If you are using the Rational Reporting for Development Intelligence optional program for report customization, the newer 1.0.2.1 version is included with this release. You can download the 1.0.2.1 version by following the link on the Optional Programs page. You can upgrade the Rational Reporting for Development Intelligence installation before or after you upgrade the CLM deployment.